Subject: Re: [RFC PATCH] git push: Push nothing if no refspecs are given or configured

From: Jakub Narebski <[email-masked]>
Date: Fri, 06 Mar 2009 07:25:26 -0800 (PST)

Johannes Schindelin <[email-masked]> writes:
> On Fri, 6 Mar 2009, Finn Arne Gangstad wrote:
>> On Fri, Mar 06, 2009 at 02:32:53AM -0800, Junio C Hamano wrote:
>>> Johannes Schindelin <[email-masked]> writes:
>>>> On Thu, 5 Mar 2009, Sverre Rabbelier wrote:
>>>>> 
>>>>> Right, I'd like to be able to do:
>>>>> $ git config push.iamnotretarded true
>>>>> $ git push
>>>>
>>>> LOL!  Sverre, you have a way to crack me up...
>>> 
>>> I found it amusing, too.
>>> 
>>> It may have some correlation with how well organized your work habit is,
>>> but I do not think it has much correlation with being retarded.  It is
>>> more about "'matching refs' is the perfect default for _my_ use pattern,
>>> don't mess with it, please".
>> 
>> So here is my current WIP suggestion for a new "push.default"
>> variable, I am not sure if a single entry can express all useful
>> choices, or if it is a good idea to introduce more default choices
>> other than "nothing" (with the goal of making it the default in a
>> later release).
> 
> Speaking of which, Steffen (who cannot reply right now, since he is AFK 
> for a while) had a patch to install "remote.<branch>.push = HEAD" with 
> clone and remote.  Would that be better?

Errr... I thought that "remote.<remotename>.push = HEAD" works?

But note that "remote.<name>.push = HEAD" (push current branch only)
and "remote.<name>.push = :" (push matching branches, i.e. curent
behavior) works only if you have remote configured... "git push <URL>"
won't be affected, and people (probably) would want to either have
'nothing' as default, or/and be able to configure it to nothing,
current, or matching (at least).

-- 
Jakub Narebski
Poland
ShadeHawk on #git